---
title: CSSMathMin()
slug: Web/API/CSSMathMin/CSSMathMin
tags:
  - API
  - CSS Typed Object Model API
  - CSSMathMin
  - CSSNumericValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>CSSMathMin()</code></strong> constructor creates a new {{domxref("CSSMathMin")}} object which represents the CSS {{CSSXref('min()','min()')}} function.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSMathMin</var> = new CSSMathMin(<em>args</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>args</dt>
 <dd>A list of values for the {{domxref('CSSMathProduct')}} object to be either a double integer or a {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypeError"><code>TypeError</code></a></dt>
 <dd>Thrown if there is a <em>failure</em> when adding all of the values in args.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM')}}</td>
   <td>{{Spec2('CSS Typed OM','#cssmathmin','CSSMathMin')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMathMin.CSSMathMin")}}</p>
